Hi

Well when 2.21 is out the door and its 2.21.x branch is setup, then we
would likely fairly quickly get the master branch update to SB2 /
Spring 5 and hit the issues there and then you guys can help test the
stuff with the SNAPSHOT builds of Camel.

They are published to the ASF Maven snapshot repo
https://www.apache.org/dev/repository-faq.html#repodotapache

On Fri, Mar 2, 2018 at 3:44 PM, James Green <james.mk.gr...@gmail.com> wrote:
> Bah, 2.22, YKWIM!
>
> On 2 March 2018 at 14:43, James Green <james.mk.gr...@gmail.com> wrote:
>
>> Thanks for the quick replies - we'll hold fire for 2.21.
>>
>> On 2 March 2018 at 14:33, Andrea Cosentino <ancosen1...@yahoo.com> wrote:
>>
>>> Actually there is a branch boot2 in apache camel repo, based on
>>> camel-2.21.0-SNAPSHOT, with some work about Spring Boot 2.
>>>
>>> The target release for fully support Spring Boot 2 is 2.22.0
>>>
>>> --
>>> Andrea Cosentino
>>> ----------------------------------
>>> Apache Camel PMC Member
>>> Apache Karaf Committer
>>> Apache Servicemix PMC Member
>>> Email: ancosen1...@yahoo.com
>>> Twitter: @oscerd2
>>> Github: oscerd
>>>
>>>
>>>
>>>
>>>
>>>
>>> On Friday, March 2, 2018, 3:30:50 PM GMT+1, James Green <
>>> james.mk.gr...@gmail.com> wrote:
>>>
>>>
>>>
>>>
>>>
>>> I'm guessing that the current Camel release just won't do...
>>>
>>> Caused by: java.lang.NoClassDefFoundError:
>>> org/springframework/boot/bind/RelaxedPropertyResolver
>>> at
>>> org.apache.camel.spring.boot.security.CamelSSLAutoConfigurat
>>> ion$Condition.getMatchOutcome(CamelSSLAutoConfiguration.java:51)
>>> at
>>> org.springframework.boot.autoconfigure.condition.SpringBootC
>>> ondition.matches(SpringBootCondition.java:47)
>>> ... 41 more
>>> Caused by: java.lang.ClassNotFoundException:
>>> org.springframework.boot.bind.RelaxedPropertyResolver
>>> at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
>>> at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
>>> at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:331)
>>> at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
>>> ... 43 more
>>>
>>> I noted a line in the 2.20 release notes talking about upcoming
>>> compatibility. Would I be right to abandon this upgrade in my project
>>> until
>>> the next minor release of Camel?
>>>
>>> Thanks,
>>>
>>> James
>>>
>>
>>



-- 
Claus Ibsen
-----------------
http://davsclaus.com @davsclaus
Camel in Action 2: https://www.manning.com/ibsen2

Reply via email to